Packages

package endpoint

Ordering
  1. Alphabetic
Visibility
  1. Public
  2. Protected

Type Members

  1. final case class TapirHttpEndpoint[Effect[_]](effectSystem: EffectSystem[Effect], pathPrefix: String = "/", method: Option[HttpMethod] = None, mapException: (Throwable) => Int = HttpContext.defaultExceptionToStatusCode, handler: RequestHandler[Effect, Context] = RequestHandler.dummy[Effect, Context]) extends Logging with EndpointTransport[Effect, Context, Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]] with Product with Serializable

    Tapir HTTP endpoint message transport plugin.

    Tapir HTTP endpoint message transport plugin.

    Interprets HTTP request body as an RPC request and processes it using the specified RPC request handler.

    • The response returned by the RPC request handler is used as HTTP response body.
    Effect

    effect type

    effectSystem

    effect system plugin

    pathPrefix

    HTTP URL path prefix, only requests starting with this path prefix are allowed

    method

    allowed HTTP method, all methods are allowed if empty

    mapException

    maps an exception to a corresponding HTTP status code

    handler

    RPC request handler

    See also

    Transport protocol

    Library documentation

    API

Value Members

  1. object TapirHttpEndpoint extends Serializable

Ungrouped